# Interface methods for submodule: ImageSpatialObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SpatialObjectProxy as _SpatialObjectProxy


# Interface methods for class: ImageSpatialObject
class ImageSpatialObjectProxy(_SpatialObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Clear(self) -> None:
		""""""
		...

	def SetImage(self, image) -> None:
		""""""
		...

	def GetImage(self):
		""""""
		...

	def IsInsideInObjectSpace(self, point: Sequence[float]) -> bool:
		""""""
		...

	def ValueAtInObjectSpace(self, point: Sequence[float], value: float, depth: int = 0, name: str = ...) -> bool:
		""""""
		...

	def GetMTime(self) -> int:
		""""""
		...

	@overload
	def SetSliceNumber(self, _arg: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetSliceNumber(self, dimension: int, position: int) -> None:
		""""""
		...

	@overload
	def GetSliceNumber(self) -> Sequence[int]:
		""""""
		...

	@overload
	def GetSliceNumber(self, dimension: int) -> int:
		""""""
		...

	def SetInterpolator(self, interpolator) -> None:
		""""""
		...

	def GetInterpolator(self):
		""""""
		...

	def Update(self) -> None:
		""""""
		...

